Bug 843703 - [abrt] merkaartor-0.18.1-1.fc17: __GI_raise: Process /usr/bin/merkaartor was killed by signal 6 (SIGABRT)
[abrt] merkaartor-0.18.1-1.fc17: __GI_raise: Process /usr/bin/merkaartor was ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: merkaartor (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sven Lankes
Fedora Extras Quality Assurance
abrt_hash:1a27b3a099ede62c14113981c5f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-27 02:04 EDT by Egon Kastelijn
Modified: 2013-08-01 07:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 07:22:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (68.10 KB, text/plain)
2012-07-27 02:04 EDT, Egon Kastelijn
no flags Details
File: maps (92.38 KB, text/plain)
2012-07-27 02:04 EDT, Egon Kastelijn
no flags Details
File: dso_list (19.57 KB, text/plain)
2012-07-27 02:04 EDT, Egon Kastelijn
no flags Details
File: build_ids (8.41 KB, text/plain)
2012-07-27 02:04 EDT, Egon Kastelijn
no flags Details

  None (edit)
Description Egon Kastelijn 2012-07-27 02:04:09 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        merkaartor
comment:        I downloaded a piece of map using a WWW-link, but I pressed TAB before I hit Enter.
crash_function: __GI_raise
executable:     /usr/bin/merkaartor
kernel:         3.4.6-2.fc17.x86_64
pid:            9414
pwd:            /usr/src/trinegps
time:           Fri 27 Jul 2012 08:01:17 AM CEST
uid:            1000
username:       egon
var_log_messages: Jul 27 08:01:19 celcius abrt[9431]: Saved core dump of pid 9414 (/usr/bin/merkaartor) to /var/spool/abrt/ccpp-2012-07-27-08:01:17-9414 (189222912 bytes)

backtrace:      Text file, 69731 bytes
build_ids:      Text file, 8610 bytes
dso_list:       Text file, 20036 bytes
maps:           Text file, 94592 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/egon/4

core_backtrace:
:f69712fe393313f44607679e934bf5a67f39ec50 0x35925 __GI_raise libc.so.6 -
:f69712fe393313f44607679e934bf5a67f39ec50 0x370d8 __GI_abort libc.so.6 -
:f69712fe393313f44607679e934bf5a67f39ec50 0x7564b __libc_message libc.so.6 -
:f69712fe393313f44607679e934bf5a67f39ec50 0x7c7ce malloc_printerr libc.so.6 -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=4
:HOSTNAME=celcius
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/egon/keyring-BsysFX
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=egon
:USERNAME=egon
:MAIL=/var/spool/mail/egon
:PATH=/usr/lib64/qt-3.3/bin:/usr/kerberos/sbin:/usr/kerberos/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/egon/.local/bin:/home/egon/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/egon
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1515
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/egon
:SHLVL=1
:LOGNAME=egon
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-DwqvmotENl,guid=8bf892bccda22a604c792d9200000357
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/egon
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:XAUTHORITY=/var/run/gdm/auth-for-egon-NdX5sS/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1517,unix/unix:/tmp/.ICE-unix/1517
:SSH_AUTH_SOCK=/run/user/egon/keyring-BsysFX/ssh
:GPG_AGENT_INFO=/run/user/egon/keyring-BsysFX/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/merkaartor.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=9414

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31081                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31081                31081                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/egon/.xsession-errors
:pos:	452232
:flags:	0102002
:2:/home/egon/.xsession-errors
:pos:	452232
:flags:	0102002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:pipe:[796339]
:pos:	0
:flags:	02004000
:5:pipe:[796339]
:pos:	0
:flags:	02004001
:6:socket:[796340]
:pos:	0
:flags:	02004002
:7:socket:[796341]
:pos:	0
:flags:	02004002
:8:socket:[796344]
:pos:	0
:flags:	02004002
:9:socket:[802880]
:pos:	0
:flags:	02000002
:10:/tmp/qtsingleapp-merkaa-c8a0-3e8-lockfile
:pos:	0
:flags:	02100002
:11:socket:[796346]
:pos:	0
:flags:	02000002
:12:socket:[803710]
:pos:	0
:flags:	02004002
:13:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:14:socket:[796453]
:pos:	0
:flags:	02004002
:15:/dev/urandom
:pos:	0
:flags:	02100000
:16:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:17:socket:[803003]
:pos:	0
:flags:	02004002
:18:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:19:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:20:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:21:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:22:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:23:socket:[803711]
:pos:	0
:flags:	02004002
:24:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:25:socket:[803712]
:pos:	0
:flags:	02004002
:26:socket:[803713]
:pos:	0
:flags:	02004002
:27:socket:[803714]
:pos:	0
:flags:	02004002
:28:socket:[803715]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:General
:=================================
:UUID: 56f28edf-27cf-49a1-9b39-077eb5b22a5b
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 5387.58
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2620M CPU @ 2.70GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2701
:System Memory: 3908
:System Swap: 5951
:Vendor: FUJITSU
:System: CELSIUS H710 10601409322
:Form factor: Notebook
:Kernel: 3.4.6-2.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4332:21001:4303:5600) pci, None, MISC, N/A
:(4332:21001:4303:5601) pci, sdhci-pci, BASE, N/A
:(4631:33076:4303:5678) pci, yenta_cardbus, PCI/CARDBUS, N/A
:(32902:260:4303:5607) pci, None, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:257:4303:5608) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:(32902:130:32902:4865) pci, iwlwifi, NETWORK, Centrino Advanced-N 6205 AGN
:(32902:7202:4303:5645) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:7171:4303:5642) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7247:4303:5640) pci, None, PCI/ISA, QM67 Express Chipset Family LPC Controller
:(32902:5378:4303:5659) pci, e1000e, ETHERNET, 82579LM Gigabit Network Connection
:(4147:404:4303:5712) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(32902:7213:4303:5647) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4303:5647) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:7226:4303:5649) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(32902:7188:4303:5648) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 3
:(32902:7190:4303:5648) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:4303:5648) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7198:4303:5648) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 8
:(32902:9288:4303:5639) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:7200:4303:5596) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7229:4303:5652) pci, serial, 16550_SERIAL, 6 Series/C200 Series Chipset Family KT Controller
:(4318:3050:4303:5687) pci, snd_hda_intel, MULTIMEDIA, GF108 High Definition Audio Controller
:(4318:3578:4303:5682) pci, nouveau, VIDEO, GF108 [Quadro 1000M]
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_celcius-lv_root / ext4 4096 4096 13081025 6163909 5508549 3276800 2653878 2653878
:/dev/sda3 /boot ext4 1024 1024 508644 393054 367454 128016 127653 127653
:/dev/mapper/vg_celcius-lv_images WITHHELD ext4 4096 4096 26173325 10139047 8828327 6553600 6553587 6553587
:/dev/mapper/vg_celcius-lv_home /home ext4 4096 4096 26173325 20244720 18934002 6553600 6413642 6413642
:

xsession_errors:
:Window manager warning: Invalid WM_TRANSIENT_FOR window 0x1800004 specified for 0x1800002 (merkaartor).
:Window manager warning: Invalid WM_TRANSIENT_FOR window 0x2c00004 specified for 0x2c00002 (merkaartor).
:Window manager warning: Invalid WM_TRANSIENT_FOR window 0x2a00004 specified for 0x2a00002 (merkaartor).
:Window manager warning: Invalid WM_TRANSIENT_FOR window 0x2800004 specified for 0x2800002 (merkaartor).
:*** glibc detected *** merkaartor: free(): corrupted unsorted chunks: 0x00007f521c79de50 ***
:merkaartor[0x616d68]
:merkaartor[0x5e4da1]
:merkaartor[0x5ea90f]
:merkaartor[0x4e247c]
:merkaartor[0x4e2590]
:merkaartor[0x4e1317]
:merkaartor[0x4e287f]
:00400000-00822000 r-xp 00000000 fd:02 1855541                            /usr/bin/merkaartor
:00a21000-00a27000 rw-p 00421000 fd:02 1855541                            /usr/bin/merkaartor
:00c26000-00c83000 rw-p 00426000 fd:02 1855541                            /usr/bin/merkaartor
:7f5245893000-7f52458a3000 r-xp 00000000 fd:02 2238965                    /usr/lib64/merkaartor/plugins/background/libMWalkingPapersBackgroundPlugin.so
:7f52458a3000-7f5245aa3000 ---p 00010000 fd:02 2238965                    /usr/lib64/merkaartor/plugins/background/libMWalkingPapersBackgroundPlugin.so
:7f5245aa3000-7f5245aa5000 rw-p 00010000 fd:02 2238965                    /usr/lib64/merkaartor/plugins/background/libMWalkingPapersBackgroundPlugin.so
:7f5245aa5000-7f5245ab1000 r-xp 00000000 fd:02 2238964                    /usr/lib64/merkaartor/plugins/background/libMMsBingMapBackgroundPlugin.so
:7f5245ab1000-7f5245cb1000 ---p 0000c000 fd:02 2238964                    /usr/lib64/merkaartor/plugins/background/libMMsBingMapBackgroundPlugin.so
:7f5245cb1000-7f5245cb2000 rw-p 0000c000 fd:02 2238964                    /usr/lib64/merkaartor/plugins/background/libMMsBingMapBackgroundPlugin.so
:7f5245cb2000-7f5245cc4000 r-xp 00000000 fd:02 2238963                    /usr/lib64/merkaartor/plugins/background/libMGeoTiffBackgroundPlugin.so
:7f5245cc4000-7f5245ec3000 ---p 00012000 fd:02 2238963                    /usr/lib64/merkaartor/plugins/background/libMGeoTiffBackgroundPlugin.so
:7f5245ec3000-7f5245ec5000 rw-p 00011000 fd:02 2238963                    /usr/lib64/merkaartor/plugins/background/libMGeoTiffBackgroundPlugin.so
:7f5245ec5000-7f5245ed7000 r-xp 00000000 fd:02 2238962                    /usr/lib64/merkaartor/plugins/background/libMGdalBackgroundPlugin.so
:7f5245ed7000-7f52460d6000 ---p 00012000 fd:02 2238962                    /usr/lib64/merkaartor/plugins/background/libMGdalBackgroundPlugin.so
:7f52460d6000-7f52460d8000 rw-p 00011000 fd:02 2238962                    /usr/lib64/merkaartor/plugins/background/libMGdalBackgroundPlugin.so
:7f52460d8000-7f52460f7000 r-xp 00000000 fd:02 2238961                    /usr/lib64/merkaartor/plugins/background/libMCadastreFranceBackgroundPlugin.so
:7f52460f7000-7f52462f6000 ---p 0001f000 fd:02 2238961                    /usr/lib64/merkaartor/plugins/background/libMCadastreFranceBackgroundPlugin.so
:7f52462f6000-7f52462f8000 rw-p 0001e000 fd:02 2238961                    /usr/lib64/merkaartor/plugins/background/libMCadastreFranceBackgroundPlugin.so
:Window manager warning: Invalid WM_TRANSIENT_FOR window 0x2800004 specified for 0x2800002 (merkaartor).
Comment 1 Egon Kastelijn 2012-07-27 02:04:16 EDT
Created attachment 600694 [details]
File: backtrace
Comment 2 Egon Kastelijn 2012-07-27 02:04:18 EDT
Created attachment 600695 [details]
File: maps
Comment 3 Egon Kastelijn 2012-07-27 02:04:20 EDT
Created attachment 600696 [details]
File: dso_list
Comment 4 Egon Kastelijn 2012-07-27 02:04:22 EDT
Created attachment 600697 [details]
File: build_ids
Comment 5 Fedora End Of Life 2013-07-03 23:34:16 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Egon Kastelijn 2013-07-14 02:16:39 EDT
I am unable to reproduce this problem, so in my opinion this bug can be closed.
Comment 7 Fedora End Of Life 2013-08-01 07:23:02 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.